Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosTrading::Lookup Interface Reference

`import "CosTrading.idl";`

Inheritance diagram for CosTrading::Lookup:

[legend]
Collaboration diagram for CosTrading::Lookup:

[legend]
List of all members.

## Public Types
typedef Istring | Preference
enum | HowManyProps { none, some, all }
## Public Methods
void | query (in ServiceTypeName type, in Constraint constr, in Preference pref, in PolicySeq policies, in SpecifiedProps desired_props, in unsigned long how_many, out OfferSeq offers, out OfferIterator offer_itr, out PolicyNameSeq limits_applied) raises (IllegalServiceType, UnknownServiceType, IllegalConstraint, IllegalPreference, IllegalPolicyName, PolicyTypeMismatch, InvalidPolicyValue, IllegalPropertyName, DuplicatePropertyName, DuplicatePolicyName)

## Member Typedef Documentation

typedef Istring CosTrading::Lookup::Preference

## Member Enumeration Documentation

enum CosTrading::Lookup::HowManyProps

  | Enumeration values:
  none |
  some |
  all |

## Member Function Documentation

void CosTrading::Lookup::query | ( | in ServiceTypeName | type,
|  | in Constraint | constr,
|  | in Preference | pref,
|  | in PolicySeq | policies,
|  | in SpecifiedProps | desired_props,
|  | in unsigned long | how_many,
|  | out OfferSeq | offers,
|  | out OfferIterator | offer_itr,
|  | out PolicyNameSeq | limits_applied
| ) | raises (IllegalServiceType, UnknownServiceType, IllegalConstraint, IllegalPreference, IllegalPolicyName, PolicyTypeMismatch, InvalidPolicyValue, IllegalPropertyName, DuplicatePropertyName, DuplicatePolicyName)

The documentation for this interface was generated from the following file:

- CosTrading.idl